Форум русскоязычного сообщества Ubuntu


Хотите сделать посильный вклад в развитие Ubuntu и русскоязычного сообщества?
Помогите нам с документацией!

Автор Тема: Не могу удалить пакеты postgresql  (Прочитано 7748 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн згкгыршт

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Не могу удалить пакеты postgresql
« : 18 Июнь 2011, 12:19:59 »
Наивно полагая, что postgresql уже нет в системе удалил пользователя postgre, теперь не могу удалить пакеты:
sudo apt-get purge postgresql-common
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Пакеты, которые будут УДАЛЕНЫ:
  postgresql-8.4* postgresql-common*
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 2 пакетов, и 4 пакетов не обновлено.
не установлено до конца или удалено 1 пакетов.
После данной операции, объём занятого дискового пространства уменьшится на 11,1 MB.
Хотите продолжить [Д/н]?
(Чтение базы данных ... на данный момент установлено 193317 файлов и каталогов.)
Удаляется пакет postgresql-8.4 ...
 * Stopping PostgreSQL 8.4 database server                                       * Error: The cluster is owned by user id 5026 which does not exist any more
                                                                         [fail]
invoke-rc.d: initscript postgresql, action "stop" failed.
dpkg: не удалось обработать параметр postgresql-8.4 (--purge):
 подпроцесс установлен сценарий pre-removal возвратил код ошибки 1
dpkg: postgresql-common: имеются проблемы с зависимостями, но по вашему указанию
он всё равно будет удалён:
 postgresql-8.4 зависит от postgresql-common (>= 109~).
Удаляется пакет postgresql-common ...
 * Stopping PostgreSQL 8.4 database server                                       * Error: The cluster is owned by user id 5026 which does not exist any more
                                                                         [fail]
invoke-rc.d: initscript postgresql, action "stop" failed.
dpkg: не удалось обработать параметр postgresql-common (--purge):
 подпроцесс установлен сценарий pre-removal возвратил код ошибки 1
 * Starting PostgreSQL 8.4 database server                                       * Error: The cluster is owned by user id 5026 which does not exist any more
                                                                         [fail]
invoke-rc.d: initscript postgresql, action "start" failed.
dpkg: ошибка при очистке -
 подпроцесс установлен сценарий post-installation возвратил код ошибки 1
При обработке следующих пакетов произошли ошибки:
 postgresql-8.4
 postgresql-common
E: Sub-process /usr/bin/dpkg returned an error code (1)
Как обойти этот затык? Можно ли создать пользователя с id 5026? Или поменять владельца кластера?

Оффлайн vasilisc

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 2563
  • г.Северодвинск - строим АПЛ
    • Просмотр профиля
    • Авторские статьи об OpenSource
Re: Не могу удалить пакеты postgresql
« Ответ #1 : 18 Июнь 2011, 12:21:25 »
попробуйте
sudo apt-get -o DPkg::options::=--force-confmiss purge postgresql
или переставьте
sudo apt-get -o DPkg::options::=--force-confmiss --reinstall install postgresqlа потом удалите
sudo apt-get purge postgresql
« Последнее редактирование: 18 Июнь 2011, 12:23:38 от vasilisc »
Ускорение http://vasilisc.com/speedup_ubuntu
Железо http://vasilisc.com/hcl/detect.php
Призёр http://vasilisc.com/ubuntu_woman Если помог, то поддержите WM R259039388254

Оффлайн згкгыршт

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Не могу удалить пакеты postgresql
« Ответ #2 : 18 Июнь 2011, 12:29:03 »
К сожалению все та же петрушка.

Оффлайн vasilisc

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 2563
  • г.Северодвинск - строим АПЛ
    • Просмотр профиля
    • Авторские статьи об OpenSource
Re: Не могу удалить пакеты postgresql
« Ответ #3 : 18 Июнь 2011, 14:42:45 »
К сожалению все та же петрушка.
судя по проблеме, постгрес не могут остановить и дальше всё идёт лесом.
я бы сделал-попробовал следующее
открыл бы файл /etc/init.d/postgresql
нашёл был stop) и там заремарил бы код стопа и добавил бы killall -9 postgresql
типа так
stop)
# прежняя хрень
# еще чёта
#
killall -9 postgresql
sleep 1
killall -9 pgsql
;;
и попробовал бы удалить постгрес и если получится то грохнуть ручками /etc/init.d/postgresql

попробуйте и дайте в спойлер /etc/init.d/postgresql (я не помню но может он называется /etc/init.d/pgsql)
« Последнее редактирование: 18 Июнь 2011, 14:44:38 от vasilisc »
Ускорение http://vasilisc.com/speedup_ubuntu
Железо http://vasilisc.com/hcl/detect.php
Призёр http://vasilisc.com/ubuntu_woman Если помог, то поддержите WM R259039388254

Оффлайн згкгыршт

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Не могу удалить пакеты postgresql
« Ответ #4 : 19 Июнь 2011, 12:44:20 »
Вот содержание /etc/init.d/postgresql
(Нажмите, чтобы показать/скрыть)

Оффлайн vasilisc

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 2563
  • г.Северодвинск - строим АПЛ
    • Просмотр профиля
    • Авторские статьи об OpenSource
Re: Не могу удалить пакеты postgresql
« Ответ #5 : 19 Июнь 2011, 15:22:09 »
превратите
case "$1" in
    start|stop|restart|reload|status)
for v in $versions; do
    $1 $v
done
        ;;
    force-reload)
for v in $versions; do
    reload $v
done
        ;;
    *)
        echo "Usage: $0 {start|stop|restart|reload|force-reload|status} [version ..]"
        exit 1
        ;;
esac
в
case "$1" in
    start|restart|reload|status)
for v in $versions; do
    $1 $v
done
        ;;
    stop)
       # ну не помню я имя процесса
       killall -9 postgresql
       killall -9 psql
       killall -9 postmaster
       killall -9 postgres
      ;;
    force-reload)
for v in $versions; do
    reload $v
done
        ;;
    *)
        echo "Usage: $0 {start|stop|restart|reload|force-reload|status} [version ..]"
        exit 1
        ;;
esac

Ускорение http://vasilisc.com/speedup_ubuntu
Железо http://vasilisc.com/hcl/detect.php
Призёр http://vasilisc.com/ubuntu_woman Если помог, то поддержите WM R259039388254

Оффлайн згкгыршт

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Не могу удалить пакеты postgresql
« Ответ #6 : 19 Июнь 2011, 22:36:17 »
Нет, эффекта нет.
Добавил еще killall -9 postgresql-common, killall -9 postgresql-8.4

(Нажмите, чтобы показать/скрыть)

Оффлайн vasilisc

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 2563
  • г.Северодвинск - строим АПЛ
    • Просмотр профиля
    • Авторские статьи об OpenSource
Re: Не могу удалить пакеты postgresql
« Ответ #7 : 20 Июнь 2011, 09:45:33 »
sudo dpkg --remove --force-remove-reinstreq postgresql
Ускорение http://vasilisc.com/speedup_ubuntu
Железо http://vasilisc.com/hcl/detect.php
Призёр http://vasilisc.com/ubuntu_woman Если помог, то поддержите WM R259039388254

Оффлайн згкгыршт

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Re: Не могу удалить пакеты postgresql
« Ответ #8 : 20 Июнь 2011, 19:08:07 »
Господня нога, сработало! Правда /etc/init.d/postgresql пришлось вернуть прежний, на модифицированный была ругань.
Большое спасибо!

 

Страница сгенерирована за 0.112 секунд. Запросов: 22.